from tests.insn.helpers import *


def test_ccf():
    cpu = CPU()

    CCF().exec(cpu)

    assert cpu.carry == 1
    assert cpu.cycles == 4

    CCF().exec(cpu)

    assert cpu.carry == 0
    assert cpu.cycles == 8


def test_scf():
    cpu = CPU()

    SCF().exec(cpu)

    assert cpu.carry == 1
    assert cpu.cycles == 4
